Subject: [bitcoin-dev] A summary list of all concerns related to not rising the block size

From: Jorge Timón <[email-masked]>
Date: Wed, 12 Aug 2015 11:59:07 +0200

I believe all concerns I've read can be classified in the following groups:

> 1) Potential indirect consequence of rising fees.

- Lowest fee transactions (currently free transactions) will become
more unreliable.
- People will migrate to competing systems (PoW altcoins) with lower fees.

> 2) Software problem independent of a concrete block size that needs to
> be solved anyway, often specific to Bitcoin Core (ie other
> implementations, say libbitcoin may not necessarily share these
> problems).

- Bitcoin Core's mempool is unbounded in size and can make the program
crash by using too much memory.
- There's no good way to increase the fee of a transaction that is
taking too long to be mined without the "double spending" transaction
with the higher fee being blocked by most nodes which follow Bitcoin
Core's default policy for conflicting spends replacements (aka "first
seen" replacement policy).

I have started with the 3 concerns that I read more often, but please
suggest more concerns for these categories and suggest other
categories if you think there's more.